Skip to main content
GET
List
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

searchKey
string

The searchKey query parameter work for both name and uid: It performs a LIKE% query, searching for uid/name values starting with the specified characters.

searchIn
enum<string>[]

Searches for specified keyword in name,UID or both.

Available options:
name,
uid
status
string

User list can be fetched depending on the user status. Supports multiselect with comma-separated values (e.g., available,offline).

Example:

"available,offline"

count
boolean

Fetches users count.

perPage
integer
default:100

Number of users to be fetched in a request. The default value is 100 and the maximum value is 1000.

page
integer
default:1

Page Number.

role
string

Retrieves user list based on role.

withTags
boolean

Includes tags in the response.

tags
string[]

Fetches only those users that have these tags.

roles
string[]

Fetches users based on multiple roles.

onlyDeactivated
boolean

Fetches all the deactivated users of an app.

withDeactivated
boolean

Fetches all the users including deactivated users.

createdAt[from]
integer

Filter by createdAt start timestamp (Unix timestamp). Filters records created on or after this timestamp. Can be used with createdAt[to] for a date range.

Example:

1738368000

createdAt[to]
integer

Filter by createdAt end timestamp (Unix timestamp). Filters records created on or before this timestamp. Can be used with createdAt[from] for a date range.

Example:

1739059200

updatedAt[from]
integer

Filter by updatedAt start timestamp (Unix timestamp). Filters records updated on or after this timestamp. Can be used with updatedAt[to] for a date range.

Example:

1738368000

updatedAt[to]
integer

Filter by updatedAt end timestamp (Unix timestamp). Filters records updated on or before this timestamp. Can be used with updatedAt[from] for a date range.

Example:

1739059200

Response

200 - application/json

A list of users

data
any[]
meta
object